package cn.axzo.msg.center.service.pending.response.v3.model;

import com.alibaba.fastjson.JSON;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author yanglin
 */
@Getter
@RequiredArgsConstructor
public class ComponentWorkerGroup {
    private final ParsedModelV3 modelV3;
    private final ParsedGroupV3 group;
    private final Long workerIdentityId;

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public void removeFromModel() {
        modelV3.removeIdenticalGroup(group);
    }

}